@font-face {
    font-family: RobotoCondensed;
    font-weight: normal;
    font-style: normal;
    src: url(fonts/RobotoCondensed-Regular.ttf);
}

@font-face {
    font-family: RobotoCondensed;
    font-weight: normal;
    font-style: bold;
    src: url(fonts/RobotoCondensed-Bold.ttf);
}

@font-face {
    font-family: RobotoCondensed;
    font-weight: normal;
    font-style: lighter;
    src: url(fonts/RobotoCondensed-Light.ttf);
}

@font-face {
    font-family: RobotoCondensed;
    font-weight: normal;
    font-style: italic;
    src: url(fonts/RobotoCondensed-Italic.ttf);
}

@font-face {
    font-family: RobotoCondensed;
    font-weight: bold;
    font-style: italic;
    src: url(fonts/RobotoCondensed-BoldItalic.ttf);
}

@font-face {
    font-family: RobotoCondensed;
    font-weight: lighter;
    font-style: italic;
    src: url(fonts/RobotoCondensed-LightItalic.ttf);
}

@font-face {
    font-family: 'Material Icons';
    font-style: normal;
    font-weight: 400;
    src: url(https://example.com/MaterialIcons-Regular.eot);
    /* For IE6-8 */
    src: local('Material Icons'), local('MaterialIcons-Regular'), url(https://example.com/MaterialIcons-Regular.woff2) format('woff2'), url(https://example.com/MaterialIcons-Regular.woff) format('woff'), url(https://example.com/MaterialIcons-Regular.ttf) format('truetype');
}

body,
html {
    font-family: RobotoCondensed;
    position: absolute;
    -webkit-overflow-scrolling: touch height 100vh;
    overflow: hidden;
    height: 100%;
    width: 100%;
}


/* ===== Common ===== */

.align-center {
    text-align: center;
}


/* ===== Header ===== */
.header {
    z-index: 3;
}

.header.bar .title {
    text-align: center;
    right: 50px !important;
    left: 50px !important;
}

.header.bar .ink {
    border-radius: 50%;
    width: 36px;
    height: 36px;
}

.header .buttons:first-child {
    position: absolute;
    top: 5px;
    left: 5px;
}

.header .buttons>.button {
    box-shadow: none;
    padding: 0;
}

.sub-header {
    display: flex;
    display: -webkit-flex;
    position: fixed;
    width: 100%;
    padding: 2px;
}

.il-sub-header {
    height: 66px;
    position: fixed;
    width: 100%;
    top: 88px;
    padding: 0 10px;
}

.platform-ios.platform-cordova:not(.fullscreen) .il-sub-header {
    top: 108px;
}

.il-sub-header .button {
    max-width: 100%;
    width: 100%;
}

.has-cl-subheader {
    top: 88px;
}

.platform-ios.platform-cordova:not(.fullscreen) .bar-subheader.has-cl-subheader,
.platform-ios.platform-cordova:not(.fullscreen) .has-header.has-cl-subheader {
    top: 108px;
}

.has-il-subheader {
    top: 154px;
}

.platform-ios.platform-cordova:not(.fullscreen) .bar-subheader.has-il-subheader,
.platform-ios.platform-cordova:not(.fullscreen) .has-header.has-il-subheader {
    top: 174px;
}

.sub-header>*,
.il-sub-header>* {
    margin: 0;
}

.item-input select {
    width: 100%;
    border: none;
    background-color: transparent;
}

/* ===== Version ===== */
.version {
    position: absolute;
    bottom: 10px;
    color: #fff;
    font-size: 12px;
    opacity: 0.8;
    width: 100%;
    text-align: center;
}

/* ===== Scan Button ===== */

.button.button-fab.scanBtn {
    position: absolute;
    bottom: 4vw;
    right: 4vw;
    border-radius: 50%;
    width: 18vw;
    height: 18vw;
}

.button.button-fab.scanBtn:before {
    font-size: 10vw;
    font-weight: bold;
}

.ladda-spinner .progressbar {
    left: 50%;
    top: 50%;
}


/* ===== LOGIN ===== */

[error-tooltip] {
    overflow: visible;
}

[error-tooltip]>i {
    position: absolute;
    z-index: 2;
    font-size: 28px;
    top: 22px;
    right: 2px;
    text-align: right;
    color: #E91E63;
}

[error-tooltip]>i>div {
    background-color: #ccc;
    border-top: 2px solid #E91E63;
    font-size: 14px;
    padding: 2px 10px;
    margin-top: 2px;
}

[error-tooltip]>i>div:after {
    color: #000000;
    position: absolute;
    top: 36px;
    right: 7px;
    width: 10px;
    height: 10px;
    border: 5px solid #E91E63;
    border-bottom-color: transparent;
    border-left-color: transparent;
    content: '';
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

.login-page {
    padding: 0 30px;
    text-align: center;
    background-image: url(../files/images/bg.jpg);
    background-size: cover;
    background-color: #2A2F35;
    background-repeat: no-repeat;
    background-position: center;
}

.login-page .app-name {
    margin: 0;
    color: #fff;
    margin-bottom: 20px;
    font-size: 36px;
}

.login-page .item-input {
    padding: 24px 0 0;
    margin: 0 0;
    text-align: left;
    border: none;
    border-bottom: 1px solid #535556;
    background-color: transparent;
    color: #A9A9A9;
}

.login-page .item-input .input-label {
    color: inherit;
}

.login-page .item-input input {
    background-color: transparent;
    border-bottom: 1px solid #ccc;
    color: #2196F3;
}

.login-page .item-input input:focus {
    border-bottom: 1px solid #2196F3;
    ;
}

.login-page .grid {
    height: 100%;
    margin: 0 auto;
    max-width: 500px;
    display: flex;
    display: -webkit-flex;
    flex-flow: column nowrap;
    -webkit-flex-flow: column nowrap;
    -webkit-justify-content: flex-start;
}

.login-page .row.content {
    height: 90%;
    margin-top: -10%;
}

.login-page .row.footer {
    height: 10%;
    margin-top: 10%;
}

.login-page .form .row,
.login-page .form .col {
    padding: 0;
    position: relative;
}

.login-page .form .logo {
    text-align: center;
}

.button.logbtn {
    margin: 20px 0;
}

.devlogbtn {
    background-color: transparent;
    color: #2196F3;
    font-size: 18px;
    margin-top: 16px;
}

.copyright {
    color: #A9A9A9;
}

.login-failed .item {
    border-color: red;
}


/* ===== MAIN PAGE ===== */

.main {
    padding: 0;
    text-align: center;
}

.main .main-menu {
    height: 100%;
}

.main .main-menu .row {
    height: 34%;
    background-color: #ccc;
}

.main .main-menu .col {
    height: 100%;
    text-transform: uppercase;
    font-weight: bold;
    font-size: 3vw;
    border: 1px solid #cccccc;
    border-width: 2px 2px 2px 1px;
    background-color: #fff;
}


/* ===== PROFILE ===== */

.profile .sign-as {
    margin: 2px;
    color: rgba(255, 255, 255, 0.5);
}

.profile .full-name {
    margin: 2px;
    font-size: 110%;
}

.profile .user-bu {
    margin: 2px;
    margin-bottom: 5px;
    text-transform: uppercase;
}

.profile .grid {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    display: -webkit-flex;
    -webkit-flex-flow: column nowrap;
    -webkit-justify-content: space-between;
}

.profile .row+.row {
    margin-top: 0;
}

.profile .row,
.profile .col {
    padding: 0;
}

.profile .top {
    background-image: url(../files/images/profile_bg.png);
    background-repeat: no-repeat;
    background-size: cover;
    padding-top: 20px;
    padding-bottom: 10px;
}

.profile .top .col {
    line-height: initial;
}

.profile .center {
    flex: 1 1;
    -webkit-flex: 1 1;
}

.profile .bottom {    
    padding: 0;
}

.profile .item {
    font-size: 12px;
    font-weight: 600;
    padding-left: 50px;
    border-top: 1px solid #212121;
}

.profile .item i:before {
    font-size: 20px;
}

.profile .item-logout {
    background-color: #212121;
    border-color: #212121 !important;
    color: #fff;
}

.profile .account .col {
    padding: 0 10px;
    color: #fff;
    font-weight: 500;
}

.profile .account select {
    background: transparent;
    color: #fff;
    border: none;
    margin-left: -5px;
    margin-top: -5px;
    font-weight: 500;
}

.profile .account option {
    background-color: #4355A5;
}

.profile .account .ava {
    background-color: #000;
    margin-left: 10px;
    margin-bottom: 10px;
    padding: 10px;
    width: 60px;
    display: inline-table;
    border-radius: 50%;
    text-align: center;
}

.profile .button-change-bu {
    background-color: inherit !important;
    margin: -10px 0;
    transition: 0s !important;
}

.profile .ladda-label .icon {
    left: -34px;
}

.unsaved-carts {
    padding: 20px 10px 20px 30px;
}

.unsaved-carts .col {
    /* padding-bottom: 10px; */
}


/* ==== Cart List === */

.cart-info {
    margin-left: 20px;
    padding-left: 0;
}

.cart-info-wrap {
    border-bottom: 1px solid #ccc;
    margin-bottom: 10px;
}

.cart-info .first,
.first {
    font-weight: 500;
}

.cart-info .second {
    font-size: 12px;
}

.cart-info .third {
    font-size: 12px;
    color: #ccc;
    text-transform: uppercase;
}


/* ==== CartItems List === */

.item.cart-item {
    border: 1px solid #ccc;    
}

.item-info {
    /* margin-left: 20px; */
    padding-left: 0;
    border-bottom: 1px solid #ccc;
}

.item-info .first {
    font-weight: 500;
}

.item-info .second {
    font-size: 12px;
    font-size: 12px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.item-info .third {
    font-size: 12px;
    color: #ccc;
}

.item-complex .item-content {
    background-color: white;
    padding: 0;
}

.swipe-disabled div.item-content {
    -webkit-transition: none !important;
    -webkit-transform: none !important;
    transform: none !important;
}


/* ===== Cart ===== */

.button-color-black {
    color: black !important;
}


/* ===== Item Page ===== */

.item-page {
    background-color: #FAFAFA;
}

.item-descr {
    margin: 0;
    padding: 16px 20px !important;
    font-weight: 500;
    color: #404040;
    background-color: #FFF;
}

.item-grid {
    padding: 0 10px;
    color: #7E7E7E;
    border-top: 1px solid #eee;
}

.item-grid .row+.row {
    margin-top: 0;
    padding-top: 5px;
}

.item-grid textarea,
.messaging textarea {
    width: 100%;
    -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    -moz-box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    color: #404040 !important;
    resize: none;
}

.messaging textarea {
    padding: 5px;
}

.messaging .message-bu-select {
    border: 1px solid #ddd;
    padding: 5px;
}

.big-row {
    border-bottom: 1px solid #eee;
    padding-bottom: 20px;
}

.item-grid .item-bold {
    font-weight: 500;
    color: #404040;
    margin-bottom: 0;
}

.item-count-input {
    width: 105px;
    margin-top: 5px;
    text-align: center;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    font-size: 20px !important;
    color: #404040 !important;
    line-height: 20px !important;
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
}

.item-count-wrap {
    margin-right: 5px;
}

.item-count-values {
    color: #387ef5;
    cursor: pointer;
}

.item-count-values:hover {
    color: #0c60ee;
}

.item-history-count {
    color: #93ABFE;
    padding-right: 20px;
    font-size: 18px;
    font-weight: 500;
}

.no-margin {
    margin: 0;
}

.col-right {
    text-align: right;
}

.ion-android-done:disabled {
    background-color: #3F51B5 !important;
}


/* ===== POPUP ======= */

.popup-container {
    top: 10vh;
    bottom: initial;
}

.popup-container .popup {
    width: 90%;
}

.popup-head {
    text-align: left;
}

.popup-body {
    height: 30vh;
}

.popup-buttons .button {
    text-transform: inherit;
    padding: 0 !important;
}

.add-message-wrapper {
    position: relative;
    max-height: calc(100vh - 45px);
}

.message-bu-select {
    width: 100%;
    background: transparent;
    border: none;
    font-weight: 500;
}


/* ===== EXPRESS ISSUE ======= */

.ei-content {
    background-color: #DBDBDB;
}

.slide-content {
    min-height: 10px;
    width: 100%;
}

.distribution-details-wrapper {
    background-color: #FFF;
    padding-bottom: 10px;
}

.item-selected,
.item-selected.activated {
    background-color: #E0E0E0;
}

.no-bottom-padding {
    padding-bottom: 0;
}

.no-top-padding {
    padding-top: 0;
}

.no-right-padding {
    padding-right: 0;
}

.no-left-padding {
    padding-left: 0;
}

.glbu-cell {}

.button.button-outline.button-select {
    padding: 0 10px;
    background-color: white;
    font-size: 12px;
}

.button.button-outline.button-arrow {
    font-size: 10px;
    padding: 0 8px;
}

.button.button-outline.button-arrow:before {
    font-size: 20px;
}

.float-left {
    float: left;
}

.float-right {
    float: right;
}

.customer-fields {
    padding: 0 10px;
}

.customer-input {
    padding: 0;
}

.customer-input input {
    height: 28px;
}

.input-label {
    font-size: 14px;
}

.field-label,
.item p.value-label {
    font-size: 14px;
    color: #444;
}

.value-label,
.item p.value-label {
    font-size: 14px;
    font-weight: 600;
    color: #444;
}

.col-60-px {
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 50px;
    -moz-box-flex: 0;
    -moz-flex: 0 0 50px;
    -ms-flex: 0 0 50px;
    flex: 0 0 50px;
    max-width: 50px;
}

.item-count-input.ei-count {
    width: 100%;
}

.vertical-align-center {
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
}

.list .item {
    border-color: #ddd;
    border-bottom-width: 1px;
    border-bottom-style: solid;
}

.list .item.disabled {
    pointer-events: none;
    opacity: 0.3;
}


/* ===== DEVICE DATE ======= */

.device-log {
    background-color: #FAFAFA;
}

.device-date {
    border-bottom: 1px solid #F5F5F5;
    background-color: #fff;
    font-weight: 500;
    padding: 10px;
}


/* ===== SPINNER ======= */

.centered-spinner svg {
    width: 50px !important;
    height: 50px !important;
}

.centered-spinner {
    /*
    width: 28px;
    height: 28px;
    */
    width: 50px !important;
    height: 50px !important;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: -14px;
    margin-left: -14px;
    z-index: 999;
}


/* ========= ladda-button ============= */

.ladda-button,
.ladda-button[data-style=zoom-in],
.ladda-button[data-style=zoom-out],
.ink.button-positive.darker {
    transition-duration: 0ms !important;
}


/* ========= device log colors ============= */
.log-link-wrapper {
    padding: 20px;
    text-align: center;
}

.log-0 {
    /* debug */
    background-color: #eeeeff;
    color: #3333ff;
}

.log-1 {
    /* info */
    /* using default list item style */
}

.log-2 {
    /* error */
    background-color: #ffdde5;
    color: #ff003a;
}

.log-item {
    white-space: normal;
}

.shadowed {
    top: 0;
    left: 0;
    position: fixed;
    width: 100%;
    height: 1000px;
    z-index: 1;
    background-color: #000 !important;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=50)";
    /* IE 5-7 */
    filter: alpha(opacity=50);
    /* Netscape */
    -moz-opacity: 0.5;
    /* Safari 1.x */
    -khtml-opacity: 0.5;
    /* Good browsers */
    opacity: 0.5;
}

.sub-header,
.sub-header div,
.sub-header label {
    background-color: #fff;
}

.scroll.static {
    transform: none !important;
    overflow: hidden;
}

.scroll {}

.loading-overlay,
.overlay {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -moz-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    -moz-justify-content: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    -moz-align-items: center;
    align-items: center;
    -webkit-transition: 0.2s opacity linear;
    transition: 0.2s opacity linear;
    background-color: rgba(204, 204, 204, 0.9);
    max-width: 100vw;
    max-height: 100vh;
}

.loading-overlay {
    visibility: hidden;
    opacity: 0;
    z-index: 9;
}

.loading-overlay.active {
    opacity: 0.9;
    visibility: visible;
}

.loading-overlay .loading {
    padding: 20px;
    border-radius: 5px;
    color: rgb(44, 44, 44);
    text-align: center;
    text-overflow: ellipsis;
    font-size: 15px;
}

.bar.sub-header.search-bar {
    top: 45px;
}

.nopointer {
    pointer-events : none;
}

.platform-ios.platform-cordova:not(.fullscreen) .bar.sub-header.search-bar {
    top: 64px;
}

.disabled {
    pointer-events: none;
}

/*  Cart item selector  */
.cart-item-selector .popup-body {
    height: 40vh;
}

/** SYNC STATUS Begin **/
.sync-status {
    color: #fff;
    text-align: left;
}
.sync-status__label {
    font-weight: 600;
}

.sync-status__bar {
    display: block;
    height: 5px;
    width: 0%;
    margin: 5px 0;
    background-color: #fff;
}
/** SYNC STATUS End **/

